@font-face {
  font-family: "Nunito";
  src: url("../fonts/Nunito-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

body {
  margin: 0;
  padding: 0;
  font-family: "Nunito", sans-serif;
  background-color: #fff5e1;
}

h1 {
  text-align: center;
  font-size: 7vw;
}

#main-section {
  display: flex;
  flex-direction: column;
  width: 100%;
}

#navigation {
  display: flex;
  width: 100%;
  justify-content: center;
  box-sizing: border-box;
  padding: 0 2vw 0 2vw;
}

.navigations-liste {
  font-size: 6vw;
  box-sizing: border-box;
  margin: 0;
}

.navigations-liste > li {
  margin-bottom: 4vw;
}

.navigations-liste > li:hover {
  font-weight: bold;
}

.navigations-liste > li > a {
  color: black;
  font-size: 6vw;
  text-underline-offset: 1.5vw;
  word-break: break-word;
}

.navigations-liste > li > a:hover {
  font-weight: bold;
}

#content-wrapper {
  width: 100%;
  height: max-content;
  padding: 5vw;
  box-sizing: border-box;
}

h2 {
  font-size: 6vw;
  margin-top: 2vw;
  scroll-margin-top: 25vw;
}

h3 {
  font-size: 5vw;
  margin: 0;
}

#content-wrapper p {
  text-align: justify;
  font-size: 5vw;
  margin: 0;
  margin-bottom: 10vw;
}

.img-wrapper {
  width: 100%;
  height: 60vw;
  margin-bottom: 10vw;
}

.clock {
  height: 80vw;
}

.day-plan {
  height: 100vw;
}

.autumn {
  height: 40vw;
}

.figures {
  height: 25vw;
}

img {
  height: 100%;
  width: 100%;
  object-fit: fill;
}

@media (min-width: 768px) {
  h1 {
    font-size: 5vw;
  }

  #navigation {
    padding: 0 7vw 0 7vw;
  }

  .navigations-liste {
    font-size: 4vw;
  }

  .navigations-liste > li {
    margin-bottom: 4vw;
  }

  .navigations-liste > li > a {
    font-size: 4vw;
    text-underline-offset: 1.3vw;
  }

  #content-wrapper {
    padding: 7vw;
  }

  h2 {
    font-size: 4vw;
    scroll-margin-top: 20vw;
  }

  h3 {
    font-size: 3.5vw;
  }

  #content-wrapper p {
    font-size: 3.5vw;
  }

  .clock {
    height: 50vw;
    width: 50vw;
  }

  .autum {
    height: 40vw;
  }
}

@media (min-width: 1024px) {
  h1 {
    position: absolute;
    left: 58%;
    top: 5vw;
    transform: translate(-50%, -50%);
    font-size: 1.7vw;
  }

  #main-section {
    flex-direction: row;
  }

  #navigation {
    width: 20vw;
    padding: 1vw;
    background-color: lightblue;
    align-self: stretch;
    overflow: hidden;
    height: 100vh;
    position: sticky;
    top: 4vw;
  }

  .navigations-liste {
    font-size: 0.9vw;
  }

  .navigations-liste > li {
    margin: 0 0 0.8vw 0;
  }

  .navigations-liste > li > a {
    font-size: 0.9vw;
    text-decoration: none;
  }

  #content-wrapper {
    width: 80vw;
    padding: 5vw 5vw 2vw 5vw;
    box-sizing: border-box;
  }

  h2 {
    font-size: 1.4vw;
    scroll-margin-top: 5vw;
  }

  h3 {
    font-size: 1vw;
  }

  #content-wrapper p {
    font-size: 1vw;
    margin-bottom: 3vw;
  }

  .img-wrapper {
    width: 50%;
    height: 25vw;
    margin-bottom: 3vw;
  }

  .clock {
    height: 15vw;
    width: 15vw;
  }

  .day-plan {
    height: 35vw;
    width: 30vw;
  }

  .autum {
    height: 17vw;
  }

  .figures {
    height: 15vw;
  }

  img {
    height: 100%;
    width: 100%;
    object-fit: fill;
  }
}
